Page MenuHomeFreeBSD

Force python:2 dependency for www/qt5-webkit.
ClosedPublic

Authored by tcberner on Nov 8 2017, 7:41 PM.

Details

Reviewers
jrm
Group Reviewers
kde
Commits
rP454026: Force python2.7 in www/qt5-webkit
Summary

It's a known issue, that it won't build with pyton3.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 12627
Build 12898: arc lint + arc unit

Event Timeline

tcberner created this revision.Nov 8 2017, 7:41 PM
jrm accepted this revision.Nov 8 2017, 11:57 PM

Builds succeeds with DEFAULT_VERSIONS=python=3.6 python3=3.6 in make.conf.

This revision is now accepted and ready to land.Nov 8 2017, 11:57 PM
mat added inline comments.Nov 9 2017, 12:10 PM
www/qt5-webkit/Makefile
23

USES=python:2 means "I want the python2 symlink" not "I need python 2.x".

What you want to use is USES=python:2.7.

tcberner updated this revision to Diff 35055.Nov 10 2017, 9:20 PM

Do it properly.

This revision now requires review to proceed.Nov 10 2017, 9:20 PM
This revision was automatically updated to reflect the committed changes.